> For the complete documentation index, see [llms.txt](https://docs.filecoin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.filecoin.io/reference.md).

# Reference

- [General](https://docs.filecoin.io/reference/general.md): Helpful reference materials for the Filecoin specification, implementations, and ecosystem.
- [Glossary](https://docs.filecoin.io/reference/general/glossary.md): Authoritative definitions and proper usage for all Filecoin terminology, including sectors, storage providers, sealing, and blockchain concepts. The definitive reference for understanding Filecoin tec
- [Specifications](https://docs.filecoin.io/reference/general/specifications.md): This page quickly covers what the Filecoin Specification is, and how you can access it.
- [Tools](https://docs.filecoin.io/reference/general/tools.md): This page lists a collection of tools and resources you can use to build on top of the Filecoin network using the FVM.
- [Legacy Content](https://docs.filecoin.io/reference/general/legacy-content.md): Legacy content preserved for historical reference. These tools and workflows have been superseded by modern Filecoin storage and development patterns.
- [Exchanges](https://docs.filecoin.io/reference/exchanges.md): Guides for integrating FIL into cryptocurrency exchanges.
- [Exchange integration](https://docs.filecoin.io/reference/exchanges/exchange-integration.md): This page lists the general steps and workflows you need to follow to offer FIL on an exchange.
- [Built-in actors](https://docs.filecoin.io/reference/built-in-actors.md): Built-in actors are how the Filecoin network manages and updates global state. This page contains information on how smart contracts can access built-in actors.
- [Protocol API](https://docs.filecoin.io/reference/built-in-actors/protocol-api.md): This page covers the Built-in actors Protocol API.
- [Filecoin.sol](https://docs.filecoin.io/reference/built-in-actors/filecoin.sol.md): This page covers the built-in actors Filecoin.sol API.
- [JSON-RPC](https://docs.filecoin.io/reference/json-rpc.md): Find out how to manage and interact with the Filecoin network using the standard JSON-RPC API.
- [Auth](https://docs.filecoin.io/reference/json-rpc/auth.md)
- [Chain](https://docs.filecoin.io/reference/json-rpc/chain.md)
- [Client](https://docs.filecoin.io/reference/json-rpc/client.md)
- [Create](https://docs.filecoin.io/reference/json-rpc/create.md)
- [Eth](https://docs.filecoin.io/reference/json-rpc/eth.md)
- [Gas](https://docs.filecoin.io/reference/json-rpc/gas.md)
- [I](https://docs.filecoin.io/reference/json-rpc/i.md)
- [Log](https://docs.filecoin.io/reference/json-rpc/log.md)
- [Market](https://docs.filecoin.io/reference/json-rpc/market.md)
- [Miner](https://docs.filecoin.io/reference/json-rpc/miner.md)
- [Mpool](https://docs.filecoin.io/reference/json-rpc/mpool.md)
- [Msig](https://docs.filecoin.io/reference/json-rpc/msig.md)
- [Net](https://docs.filecoin.io/reference/json-rpc/net.md)
- [Node](https://docs.filecoin.io/reference/json-rpc/node.md)
- [Paych](https://docs.filecoin.io/reference/json-rpc/paych.md)
- [Raft](https://docs.filecoin.io/reference/json-rpc/raft.md)
- [Start](https://docs.filecoin.io/reference/json-rpc/start.md)
- [State](https://docs.filecoin.io/reference/json-rpc/state.md)
- [Sync](https://docs.filecoin.io/reference/json-rpc/sync.md)
- [Wallet](https://docs.filecoin.io/reference/json-rpc/wallet.md)
- [Web3](https://docs.filecoin.io/reference/json-rpc/web3.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.filecoin.io/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
